$(document).ready(function() {

    $('.btn').click(function() {

        // Get data-id of clicked button.
        var id = $(this).data('id');

        // Get text for that id.
        var text = $(id).text();

        // Insert text in overlay and display it.
        $('#text').text(text);
        $('#overlay').css('display', 'block');
    });

    // Close overlay on Escape
    $(document).bind('keydown', function(e) {
        if (e.which == 27) { // esc
            $('#overlay').css('display', 'none');
        }
    });

    // Close overlay on click on it
    $('#overlay').click(function(){
        $('#overlay').css('display', 'none');
    });


});
